X2Go Bug report logs - #1538
Keystrokes file out-of-date

version graph

Package: x2goserver-x2goagent; Maintainer for x2goserver-x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-x2goagent is src:x2goserver.

Reported by: uli42@gmx.de

Date: Fri, 2 Apr 2021 15:50:03 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.3

Fixed in version 4.1.0.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1538; Package x2goserver-x2goagent. (Fri, 02 Apr 2021 15:50:03 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 02 Apr 2021 15:50:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: submit@bugs.x2go.org
Subject: Keystrokes file out-of-date
Date: Fri, 2 Apr 2021 17:49:32 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver-x2goagent
Version: 4.1.0.3

The keystrokes file does not match up with the version of the latest
nxagent. Attached patch fixes that.
[0002-Update-keystrokes-to-match-current-nx.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1538; Package x2goserver-x2goagent. (Thu, 15 Apr 2021 09:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Apr 2021 09:20:02 GMT) (full text, mbox, link).


Message #10 received at 1538@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1538-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1538@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 15 Apr 2021 11:15:01 +0200 (CEST)
tag #1538 pending
fixed #1538 4.1.0.4
thanks

Hi!

X2Go issue #1538 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    https://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4768edb3cd698a8d673f8aaa880d4f4a9a3e9832

The issue will most likely be fixed in src:x2goserver (4.1.0.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4768edb3cd698a8d673f8aaa880d4f4a9a3e9832
Author: Ulrich Sibiller <uli42@gmx.de>
Date:   Fri Mar 12 11:24:02 2021 +0100

    x2goserver-x2goagent/etc/keystrokes.cfg: sync with nx-libs 3.5.99.26.
    
    Previous version was incomplete.
    
    Note that this will only work correctly once we actually update to
    3.5.99.26 within X2Go, but it doesn't hurt to have the new definitions
    until then.
    
    Fixes: #1538.

diff --git a/debian/changelog b/debian/changelog
index f8c6dde8..e0556d9c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -451,6 +451,10 @@ x2goserver (4.1.0.4-0x2go1.2) UNRELEASED; urgency=medium
     - x2goserver/bin/x2gostartagent: prevent logfile corruption. Both stderr
       redirection and errors= in the options file wrote to the same file which
       lead to corruption with lots of debug output. Fixes: #1537.
+    - x2goserver-x2goagent/etc/keystrokes.cfg: sync with nx-libs 3.5.99.26.
+      Previous version was incomplete. Note that this will only work correctly
+      once we actually update to 3.5.99.26 within X2Go, but it doesn't hurt to
+      have the new definitions until then. Fixes: #1538.
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 19 Jul 2019 20:55:11 +0200
 


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 15 Apr 2021 09:20:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.4. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 15 Apr 2021 09:20:03 GMT) (full text, mbox, link).


Message sent on to uli42@gmx.de:
Bug#1538. (Thu, 15 Apr 2021 09:20:04 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jun 13 07:54:58 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.